# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "hecs-schedule"
version = "0.3.6"
authors = ["Tei Roberts"]
description = "Provides shedulable systems and parallel execution for hecs"
documentation = "https://docs.rs/hecs-schedule"
readme = "README.md"
license-file = "LICENSE"
repository = "https://github.com/ten3roberts/hecs-schedule"
resolver = "2"
[dependencies.anyhow]
version = "1.0.51"

[dependencies.atomic_refcell]
version = "0.1.8"

[dependencies.hecs]
version = "0.7.1"
features = ["macros"]

[dependencies.rayon]
version = "1.5.1"
optional = true

[dependencies.smallvec]
version = "1.7.0"

[dependencies.thiserror]
version = "1.0.30"

[features]
default = ["parallel"]
parallel = ["rayon"]
